import { AppListModel, AppModel } from '../routes/app-manager/module/index.ts';

import { program, Command, close } from './common.ts';

const app = program.command('app');

const appList = new Command('list').action(async () => {
  const list = await AppListModel.findAll();
  console.log(list.map((item) => item.toJSON()));
  close();
});
app.addCommand(appList);
