import { sequelize } from '../modules/sequelize.ts';
import { User, UserInit, UserServices, Org, OrgInit } from '@kevisual/code-center-module/models';

// User.sync({ alter: true, logging: true }).then(() => {
//   console.log('sync user done');
// });

// class UserChange extends User {
//   static async syncUser() {
//     await UserChange.sync({ alter: true, logging: false });
//     console.log('sync user done');
//   }
// }
export const main = async () => {
  await UserInit(sequelize, null, {
    alter: true,
    logging: false,
  });
  await OrgInit(sequelize, null, {
    alter: true,
    logging: false,
  });
  const user = await User.findAll({});
  for (const u of user) {
    console.log(u.username, u.type);
  }
};

main();
export const changeRootPassword = async () => {
  await OrgInit(sequelize, null, {
    alter: true,
    logging: false,
  });
  await UserInit(sequelize, null, {
    alter: true,
    logging: false,
  });
  const user = await User.findOne({ where: { username: 'root' } });
  if (user) {
    await user.createPassword('');
    await user.save();
    console.log('change root password done');
    process.exit(0);
  }
};

// changeRootPassword();
